# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl(Test/Builder/Module.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-JSON
Summary:        Test JSON data
Version:        0.11
Release:        alt2_9
License:        GPL+ or Artistic
Group:          Development/Perl
Source0:        http://search.cpan.org/CPAN/authors/id/O/OV/OVID/Test-JSON-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Test-JSON/
BuildArch:      noarch

BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(JSON/Any.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Simple.pm)
BuildRequires:  perl(Test/Tester.pm)

Requires:       perl(JSON/Any.pm) >= 1.2
Requires:       perl(Test/Differences.pm) >= 0.47
Requires:       perl(Test/Tester.pm) >= 0.107


%{?perl_default_subpackage_tests}
Source44: import.info

%description
JavaScript Object Notation (JSON) is a lightweight data interchange format.
Test::JSON makes it easy to verify that you have built valid JSON and that
it matches your expected output.

%prep
%setup -q -n Test-JSON-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# %{_fixperms} %{buildroot}/*

%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_9
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_8
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_6
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_6
- fc import

